Subject: bug#74590: 31.0.50 [scratch/igc branch]; key input sometimes skip fcitx input method preedit box

From: Gerd Möllmann <[email-masked]>
Date: Fri, 29 Nov 2024 06:55:38 +0100

Gerd Möllmann <[email-masked]> writes:

Wanted to get Helmut onboard, in case he's interested, but forgot to add
him in CC. Now he is.

> Yikai Zhao <[email-masked]> writes:
>
>> I can confirm that the issue does not happen on the scratch/igc branch
>> without mps support
>> (or at least much less frequent)
>>
>> On Thu, Nov 28, 2024 at 9:33 PM Pip Cet <[email-masked]> wrote:
>>>
>>> On Thursday, November 28th, 2024 at 13:18, Yikai Zhao <[email-masked]> wrote:
>>> > I encountered this bug while testing the mps (scratch/igc) branch. I
>>> > cannot reproduce this with the current master branch.
>>>
>>> Can you reproduce it on the scratch/igc branch, but compiled without mps support?
>>>
>>> That might help us narow it down to the MPS code or some unrelated change on that branch.
>>>
>>> Pip
>
> Not sure if that is used in your build, but in x_display_info (xterm.h)
> I see a number of struct frame pointers that are not fixed in fix_frame,
> starting with
>
>   struct frame *x_focus_frame;
>
> And if it's not that display info that is being used, I'd bet a small
> amount that whatever is actually used (pgtk_display_info?) has a similar
> problems.
>
> (Can't fix this myself, sorry, I only have macOS.)